Fingerprints.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <cstdint>`
`#include <DataStructs/SparseIntVect.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.

## Functions

RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect *

RDKit::RDKFingerprintMol (const ROMol &mol, unsigned int minPath=1, unsigned int maxPath=7, unsigned int fpSize=2048, unsigned int nBitsPerHash=2, bool useHs=true, double tgtDensity=0.0, unsigned int minSize=128, bool branchedPaths=true, bool useBondOrder=true, std::vector< std::uint32_t > *atomInvariants=nullptr, const std::vector< std::uint32_t > *fromAtoms=nullptr, std::vector< std::vector< std::uint32_t >> *atomBits=nullptr, std::map< std::uint32_t, std::vector< std::vector< int >>> *bitInfo=nullptr)

| Generates a topological (Daylight like) fingerprint for a molecule using an alternate (faster) hashing algorithm. More...
RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | RDKit::LayeredFingerprintMol (const ROMol &mol, unsigned int layerFlags=0xFFFFFFFF, unsigned int minPath=1, unsigned int maxPath=7, unsigned int fpSize=2048, std::vector< unsigned int > *atomCounts=nullptr, ExplicitBitVect *setOnlyBits=nullptr, bool branchedPaths=true, const std::vector< std::uint32_t > *fromAtoms=nullptr)
| Generates a topological (Daylight like) fingerprint for a molecule using a layer-based hashing algorithm. More...
RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | RDKit::PatternFingerprintMol (const ROMol &mol, unsigned int fpSize=2048, std::vector< unsigned int > *atomCounts=nullptr, ExplicitBitVect *setOnlyBits=nullptr, bool tautomericFingerprint=false)
| Generates a topological fingerprint for a molecule using a series of pre-defined structural patterns. More...
RDKIT_FINGERPRINTS_EXPORT ExplicitBitVect * | RDKit::PatternFingerprintMol (const MolBundle &bundle, unsigned int fpSize=2048, ExplicitBitVect *setOnlyBits=nullptr, bool tautomericFingerprint=false)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

RDKIT_FINGERPRINTS_EXPORT SparseIntVect< boost::uint64_t > *

RDKit::getUnfoldedRDKFingerprintMol (const ROMol &mol, unsigned int minPath=1, unsigned int maxPath=7, bool useHs=true, bool branchedPaths=true, bool useBondOrder=true, std::vector< std::uint32_t > *atomInvariants=nullptr, const std::vector< std::uint32_t > *fromAtoms=nullptr, std::vector< std::vector< boost::uint64_t >> *atomBits=nullptr, std::map< boost::uint64_t, std::vector< std::vector< int >>> *bitInfo=nullptr)

## Variables

const std::string | RDKit::RDKFingerprintMolVersion = "2.0.0"
const unsigned int | RDKit::maxFingerprintLayers = 10
const std::string | RDKit::LayeredFingerprintMolVersion = "0.7.0"
const unsigned int | RDKit::substructLayers = 0x07
const std::string | RDKit::PatternFingerprintMolVersion = "1.0.0"